import isArray from '@roots/bud-support/isArray';
import isString from '@roots/bud-support/isString';
import { isNamed } from './guards.js';
import { handleNamed } from './handleNamed.js';
import { handlePrimitive } from './handlePrimitive.js';
import { handleRecords } from './handleRecords.js';
export const entry = async function (...input) {
    if (isNamed(input)) {
        const [name, value] = input;
        return await handleNamed(this, name, value);
    }
    if (isString(input[0])) {
        const [value] = input;
        return await handlePrimitive(this, value);
    }
    if (isArray(input[0])) {
        const [value] = input;
        return await handlePrimitive(this, value);
    }
    const [records] = input;
    return await handleRecords(this, records);
};
